# CZI presence detector
Tool to detect the presence of pre-defined devices by their WiFi MAC addresses.

## How scanning works
Sets the wifi adapter into monitor mode, then listens to surrounding packets listing all detected devices into `wifi_map.yaml`. Resets the wifi adapter to normal mode for uploading the results, filters the results by the mac addresses in `identities.yaml` and sends all matched identities to the front-end webhook server in `website`. This server stores the presence information locally and displays it with `website/index.php` with a timestamp of the last update.

## What the website is capable of
Shows the last update of the `upload.py` routine. It also allows to add identities by their name and mac and to delete identities by their mac. The mac addresses are hashed server-side and then stored into the world-accessible `identities.json`.

## Set-up
Dependencies: Python3, trackerjacker (pip3), php (front-end)
Configs to change:
- system-specific wifi commands in `scan.sh`
- identities URL in `upload.py`
- webhook URL and secret in `upload.py`
- webhook secret in `public/update.php`